module(...)
--auto generate data
TERRACONFIG={
	[1]={
		attack_point=40,
		contribution=7,
		help_point=20,
		id=1,
		map_id=101000,
		name=[[Crystal 1 (S)]],
		neighbour={[1]=2,[2]=5,[3]=11,},
		occupy_point=140,
		org_point=7,
		personal_point=7,
		position={posx=9,posy=25,},
		size=1,
		up_rate=20,
	},
	[2]={
		attack_point=40,
		contribution=9,
		help_point=20,
		id=2,
		map_id=101000,
		name=[[Crystal 2 (M)]],
		neighbour={[1]=1,[2]=3,[3]=4,[4]=5,},
		occupy_point=140,
		org_point=9,
		personal_point=9,
		position={posx=6,posy=11,},
		size=2,
		up_rate=20,
	},
	[3]={
		attack_point=40,
		contribution=7,
		help_point=20,
		id=3,
		map_id=101000,
		name=[[Crystal 3 (S)]],
		neighbour={[1]=2,[2]=4,[3]=6,[4]=7,[5]=8,},
		occupy_point=140,
		org_point=7,
		personal_point=7,
		position={posx=17,posy=5,},
		size=1,
		up_rate=20,
	},
	[4]={
		attack_point=40,
		contribution=7,
		help_point=20,
		id=4,
		map_id=101000,
		name=[[Crystal 4 (S)]],
		neighbour={[1]=2,[2]=3,[3]=5,[4]=6,},
		occupy_point=140,
		org_point=7,
		personal_point=7,
		position={posx=14,posy=9,},
		size=1,
		up_rate=20,
	},
	[5]={
		attack_point=40,
		contribution=12,
		help_point=20,
		id=5,
		map_id=101000,
		name=[[Crystal 5 (L)]],
		neighbour={[1]=1,[2]=2,[3]=4,[4]=6,[5]=10,[6]=11,},
		occupy_point=140,
		org_point=12,
		personal_point=12,
		position={posx=18,posy=21,},
		size=3,
		up_rate=20,
	},
	[6]={
		attack_point=40,
		contribution=7,
		help_point=20,
		id=6,
		map_id=101000,
		name=[[Crystal 6 (S)]],
		neighbour={[1]=3,[2]=4,[3]=5,[4]=7,[5]=9,[6]=10,},
		occupy_point=140,
		org_point=7,
		personal_point=7,
		position={posx=22,posy=13,},
		size=1,
		up_rate=20,
	},
	[7]={
		attack_point=40,
		contribution=12,
		help_point=20,
		id=7,
		map_id=101000,
		name=[[Crystal 7 (L)]],
		neighbour={[1]=3,[2]=6,[3]=8,[4]=9,},
		occupy_point=140,
		org_point=12,
		personal_point=12,
		position={posx=23,posy=8,},
		size=3,
		up_rate=20,
	},
	[8]={
		attack_point=40,
		contribution=7,
		help_point=20,
		id=8,
		map_id=101000,
		name=[[Crystal 8 (S)]],
		neighbour={[1]=3,[2]=7,[3]=9,[4]=12,[5]=13,[6]=14,},
		occupy_point=140,
		org_point=7,
		personal_point=7,
		position={posx=37,posy=5,},
		size=1,
		up_rate=20,
	},
	[9]={
		attack_point=40,
		contribution=9,
		help_point=20,
		id=9,
		map_id=101000,
		name=[[Crystal 9 (M)]],
		neighbour={[1]=6,[2]=7,[3]=8,[4]=10,[5]=11,[6]=12,},
		occupy_point=140,
		org_point=9,
		personal_point=9,
		position={posx=31,posy=14,},
		size=2,
		up_rate=20,
	},
	[10]={
		attack_point=40,
		contribution=7,
		help_point=20,
		id=10,
		map_id=101000,
		name=[[Crystal 10 (S)]],
		neighbour={[1]=5,[2]=6,[3]=9,[4]=11,},
		occupy_point=140,
		org_point=7,
		personal_point=7,
		position={posx=26,posy=20,},
		size=1,
		up_rate=20,
	},
	[11]={
		attack_point=40,
		contribution=9,
		help_point=20,
		id=11,
		map_id=101000,
		name=[[Crystal 11 (M)]],
		neighbour={[1]=1,[2]=5,[3]=9,[4]=10,[5]=12,[6]=16,},
		occupy_point=140,
		org_point=9,
		personal_point=9,
		position={posx=33,posy=25,},
		size=2,
		up_rate=20,
	},
	[12]={
		attack_point=40,
		contribution=7,
		help_point=20,
		id=12,
		map_id=101000,
		name=[[Crystal 12 (S)]],
		neighbour={[1]=8,[2]=9,[3]=11,[4]=13,[5]=15,[6]=16,},
		occupy_point=140,
		org_point=7,
		personal_point=7,
		position={posx=38,posy=14,},
		size=1,
		up_rate=20,
	},
	[13]={
		attack_point=40,
		contribution=12,
		help_point=20,
		id=13,
		map_id=101000,
		name=[[Crystal 13 (L)]],
		neighbour={[1]=8,[2]=12,[3]=14,[4]=15,},
		occupy_point=140,
		org_point=12,
		personal_point=12,
		position={posx=39,posy=10,},
		size=3,
		up_rate=20,
	},
	[14]={
		attack_point=40,
		contribution=7,
		help_point=20,
		id=14,
		map_id=101000,
		name=[[Crystal 14 (S)]],
		neighbour={[1]=8,[2]=13,[3]=15,},
		occupy_point=140,
		org_point=7,
		personal_point=7,
		position={posx=48,posy=6,},
		size=1,
		up_rate=20,
	},
	[15]={
		attack_point=40,
		contribution=7,
		help_point=20,
		id=15,
		map_id=101000,
		name=[[Crystal 15 (S)]],
		neighbour={[1]=12,[2]=13,[3]=14,[4]=16,},
		occupy_point=140,
		org_point=7,
		personal_point=7,
		position={posx=45,posy=18,},
		size=1,
		up_rate=20,
	},
	[16]={
		attack_point=40,
		contribution=9,
		help_point=20,
		id=16,
		map_id=101000,
		name=[[Crystal 16 (M)]],
		neighbour={[1]=11,[2]=12,[3]=15,},
		occupy_point=140,
		org_point=9,
		personal_point=9,
		position={posx=47,posy=28,},
		size=2,
		up_rate=20,
	},
}

NPC={
	[1]={
		dialogId=0,
		diglogface=0,
		event=100,
		grade=1,
		id=1,
		lifeTime=0,
		modelId=1521,
		mutateColor={},
		mutateTexture=0,
		name=[[Crystal 1 (S)]],
		nameType=1,
		ornamentId=0,
		refreshCycle=0,
		reuse=1,
		rotateY=-145.0,
		scale=1.0,
		sceneId=200000,
		title=[[]],
		tollgateId=0,
		type=3,
		wpmodel=0,
		x=9.3,
		y=25.6,
		z=0.0,
	},
	[2]={
		dialogId=0,
		diglogface=0,
		event=100,
		grade=1,
		id=2,
		lifeTime=0,
		modelId=1521,
		mutateColor={},
		mutateTexture=0,
		name=[[Crystal 2 (M)]],
		nameType=1,
		ornamentId=0,
		refreshCycle=0,
		reuse=1,
		rotateY=-145.0,
		scale=1.0,
		sceneId=200000,
		title=[[]],
		tollgateId=0,
		type=3,
		wpmodel=0,
		x=6.0,
		y=11.0,
		z=0.0,
	},
	[3]={
		dialogId=0,
		diglogface=0,
		event=100,
		grade=1,
		id=3,
		lifeTime=0,
		modelId=1521,
		mutateColor={},
		mutateTexture=0,
		name=[[Crystal 3 (S)]],
		nameType=1,
		ornamentId=0,
		refreshCycle=0,
		reuse=1,
		rotateY=-145.0,
		scale=1.0,
		sceneId=200000,
		title=[[]],
		tollgateId=0,
		type=3,
		wpmodel=0,
		x=17.0,
		y=5.0,
		z=0.0,
	},
	[4]={
		dialogId=0,
		diglogface=0,
		event=100,
		grade=1,
		id=4,
		lifeTime=0,
		modelId=1521,
		mutateColor={},
		mutateTexture=0,
		name=[[Crystal 4 (S)]],
		nameType=1,
		ornamentId=0,
		refreshCycle=0,
		reuse=1,
		rotateY=-145.0,
		scale=1.0,
		sceneId=200000,
		title=[[]],
		tollgateId=0,
		type=3,
		wpmodel=0,
		x=14.0,
		y=9.0,
		z=0.0,
	},
	[5]={
		dialogId=0,
		diglogface=0,
		event=100,
		grade=1,
		id=5,
		lifeTime=0,
		modelId=1521,
		mutateColor={},
		mutateTexture=0,
		name=[[Crystal 5 (L)]],
		nameType=1,
		ornamentId=0,
		refreshCycle=0,
		reuse=1,
		rotateY=-145.0,
		scale=1.0,
		sceneId=200000,
		title=[[]],
		tollgateId=0,
		type=3,
		wpmodel=0,
		x=18.0,
		y=21.0,
		z=0.0,
	},
	[6]={
		dialogId=0,
		diglogface=0,
		event=100,
		grade=1,
		id=6,
		lifeTime=0,
		modelId=1521,
		mutateColor={},
		mutateTexture=0,
		name=[[Crystal 6 (S)]],
		nameType=1,
		ornamentId=0,
		refreshCycle=0,
		reuse=1,
		rotateY=-145.0,
		scale=1.0,
		sceneId=200000,
		title=[[]],
		tollgateId=0,
		type=3,
		wpmodel=0,
		x=22.0,
		y=13.0,
		z=0.0,
	},
	[7]={
		dialogId=0,
		diglogface=0,
		event=100,
		grade=1,
		id=7,
		lifeTime=0,
		modelId=1521,
		mutateColor={},
		mutateTexture=0,
		name=[[Crystal 7 (L)]],
		nameType=1,
		ornamentId=0,
		refreshCycle=0,
		reuse=1,
		rotateY=-145.0,
		scale=1.0,
		sceneId=200000,
		title=[[]],
		tollgateId=0,
		type=3,
		wpmodel=0,
		x=23.0,
		y=8.0,
		z=0.0,
	},
	[8]={
		dialogId=0,
		diglogface=0,
		event=100,
		grade=1,
		id=8,
		lifeTime=0,
		modelId=1521,
		mutateColor={},
		mutateTexture=0,
		name=[[Crystal 8 (S)]],
		nameType=1,
		ornamentId=0,
		refreshCycle=0,
		reuse=1,
		rotateY=-145.0,
		scale=1.0,
		sceneId=200000,
		title=[[]],
		tollgateId=0,
		type=3,
		wpmodel=0,
		x=37.0,
		y=5.0,
		z=0.0,
	},
	[9]={
		dialogId=0,
		diglogface=0,
		event=100,
		grade=1,
		id=9,
		lifeTime=0,
		modelId=1521,
		mutateColor={},
		mutateTexture=0,
		name=[[Crystal 9 (M)]],
		nameType=1,
		ornamentId=0,
		refreshCycle=0,
		reuse=1,
		rotateY=-145.0,
		scale=1.0,
		sceneId=200000,
		title=[[]],
		tollgateId=0,
		type=3,
		wpmodel=0,
		x=31.0,
		y=14.5,
		z=0.0,
	},
	[10]={
		dialogId=0,
		diglogface=0,
		event=100,
		grade=1,
		id=10,
		lifeTime=0,
		modelId=1521,
		mutateColor={},
		mutateTexture=0,
		name=[[Crystal 10 (S)]],
		nameType=1,
		ornamentId=0,
		refreshCycle=0,
		reuse=1,
		rotateY=-145.0,
		scale=1.0,
		sceneId=200000,
		title=[[]],
		tollgateId=0,
		type=3,
		wpmodel=0,
		x=26.0,
		y=20.0,
		z=0.0,
	},
	[11]={
		dialogId=0,
		diglogface=0,
		event=100,
		grade=1,
		id=11,
		lifeTime=0,
		modelId=1521,
		mutateColor={},
		mutateTexture=0,
		name=[[Crystal 11 (M)]],
		nameType=1,
		ornamentId=0,
		refreshCycle=0,
		reuse=1,
		rotateY=-145.0,
		scale=1.0,
		sceneId=200000,
		title=[[]],
		tollgateId=0,
		type=3,
		wpmodel=0,
		x=33.5,
		y=25.5,
		z=0.0,
	},
	[12]={
		dialogId=0,
		diglogface=0,
		event=100,
		grade=1,
		id=12,
		lifeTime=0,
		modelId=1521,
		mutateColor={},
		mutateTexture=0,
		name=[[Crystal 12 (S)]],
		nameType=1,
		ornamentId=0,
		refreshCycle=0,
		reuse=1,
		rotateY=-145.0,
		scale=1.0,
		sceneId=200000,
		title=[[]],
		tollgateId=0,
		type=3,
		wpmodel=0,
		x=38.0,
		y=14.0,
		z=0.0,
	},
	[13]={
		dialogId=0,
		diglogface=0,
		event=100,
		grade=1,
		id=13,
		lifeTime=0,
		modelId=1521,
		mutateColor={},
		mutateTexture=0,
		name=[[Crystal 13 (L)]],
		nameType=1,
		ornamentId=0,
		refreshCycle=0,
		reuse=1,
		rotateY=-145.0,
		scale=1.0,
		sceneId=200000,
		title=[[]],
		tollgateId=0,
		type=3,
		wpmodel=0,
		x=39.0,
		y=10.0,
		z=0.0,
	},
	[14]={
		dialogId=0,
		diglogface=0,
		event=100,
		grade=1,
		id=14,
		lifeTime=0,
		modelId=1521,
		mutateColor={},
		mutateTexture=0,
		name=[[Crystal 14 (S)]],
		nameType=1,
		ornamentId=0,
		refreshCycle=0,
		reuse=1,
		rotateY=-145.0,
		scale=1.0,
		sceneId=200000,
		title=[[]],
		tollgateId=0,
		type=3,
		wpmodel=0,
		x=48.0,
		y=6.0,
		z=0.0,
	},
	[15]={
		dialogId=0,
		diglogface=0,
		event=100,
		grade=1,
		id=15,
		lifeTime=0,
		modelId=1521,
		mutateColor={},
		mutateTexture=0,
		name=[[Crystal 15 (S)]],
		nameType=1,
		ornamentId=0,
		refreshCycle=0,
		reuse=1,
		rotateY=-145.0,
		scale=1.0,
		sceneId=200000,
		title=[[]],
		tollgateId=0,
		type=3,
		wpmodel=0,
		x=45.0,
		y=18.0,
		z=0.0,
	},
	[16]={
		dialogId=0,
		diglogface=0,
		event=100,
		grade=1,
		id=16,
		lifeTime=0,
		modelId=1521,
		mutateColor={},
		mutateTexture=0,
		name=[[Crystal 16 (M)]],
		nameType=1,
		ornamentId=0,
		refreshCycle=0,
		reuse=1,
		rotateY=-145.0,
		scale=1.0,
		sceneId=200000,
		title=[[]],
		tollgateId=0,
		type=3,
		wpmodel=0,
		x=47.0,
		y=28.5,
		z=0.0,
	},
}
SERVERREWARD={
	[1]={
		desc=[[1]],
		id=1,
		rewardlist={
			[1]={num=33000,sid=[[1015]],},
			[2]={num=33000,sid=[[1026]],},
			[3]={num=2650,sid=[[1014]],},
		},
	},
	[2]={
		desc=[[2]],
		id=2,
		rewardlist={
			[1]={num=30000,sid=[[1015]],},
			[2]={num=30000,sid=[[1026]],},
			[3]={num=2400,sid=[[1014]],},
		},
	},
	[3]={
		desc=[[3]],
		id=3,
		rewardlist={
			[1]={num=27000,sid=[[1015]],},
			[2]={num=27000,sid=[[1026]],},
			[3]={num=2150,sid=[[1014]],},
		},
	},
	[4]={
		desc=[[4]],
		id=4,
		rewardlist={
			[1]={num=24000,sid=[[1015]],},
			[2]={num=24000,sid=[[1026]],},
			[3]={num=1900,sid=[[1014]],},
		},
	},
	[5]={
		desc=[[5]],
		id=5,
		rewardlist={
			[1]={num=20000,sid=[[1015]],},
			[2]={num=20000,sid=[[1026]],},
			[3]={num=1650,sid=[[1014]],},
		},
	},
	[6]={
		desc=[[6]],
		id=6,
		rewardlist={
			[1]={num=17000,sid=[[1015]],},
			[2]={num=17000,sid=[[1026]],},
			[3]={num=1400,sid=[[1014]],},
		},
	},
	[7]={
		desc=[[7]],
		id=7,
		rewardlist={
			[1]={num=14000,sid=[[1015]],},
			[2]={num=14000,sid=[[1026]],},
			[3]={num=1150,sid=[[1014]],},
		},
	},
	[8]={
		desc=[[8]],
		id=8,
		rewardlist={
			[1]={num=11000,sid=[[1015]],},
			[2]={num=11000,sid=[[1026]],},
			[3]={num=900,sid=[[1014]],},
		},
	},
	[9]={
		desc=[[9]],
		id=9,
		rewardlist={
			[1]={num=8000,sid=[[1015]],},
			[2]={num=8000,sid=[[1026]],},
			[3]={num=650,sid=[[1014]],},
		},
	},
	[10]={
		desc=[[10]],
		id=10,
		rewardlist={
			[1]={num=5000,sid=[[1015]],},
			[2]={num=5000,sid=[[1026]],},
			[3]={num=400,sid=[[1014]],},
		},
	},
}

ORGREWARD={
	[1]={
		desc=[[1-1]],
		id=1,
		rewardlist={[1]={num=50,sid=[[13212]],},},
	},
	[2]={
		desc=[[2-2]],
		id=2,
		rewardlist={[1]={num=30,sid=[[13212]],},},
	},
	[3]={
		desc=[[3-3]],
		id=3,
		rewardlist={[1]={num=20,sid=[[13212]],},},
	},
	[4]={
		desc=[[4-4]],
		id=4,
		rewardlist={[1]={num=15,sid=[[13212]],},},
	},
	[5]={
		desc=[[5-5]],
		id=5,
		rewardlist={[1]={num=10,sid=[[13212]],},},
	},
	[6]={
		desc=[[6-10]],
		id=6,
		rewardlist={[1]={num=5,sid=[[13212]],},},
	},
	[7]={
		desc=[[11-20]],
		id=7,
		rewardlist={[1]={num=1,sid=[[13212]],},},
	},
	[8]={
		desc=[[21-30]],
		id=8,
		rewardlist={[1]={num=1,sid=[[13212]],},},
	},
	[9]={
		desc=[[31-50]],
		id=9,
		rewardlist={[1]={num=1,sid=[[13212]],},},
	},
}

RULE="Stronghold offensive and defensive rules: every day, every day, every day"